/*---------------------------------
	body start
---------------------------------*/
body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	background-color: var(--mainBgColor);
}

body>* {
	flex-grow: 0;
	flex-shrink: 0;
}

body>main {
	flex-grow: 1;
	width: 100%;
	overflow: hidden;
}

/*---------------------------------
	body end
---------------------------------*/

/*---------------------------------
	header start
---------------------------------*/
.header {
	position: sticky;
	z-index: 460;
	top: 0;
	left: 0;
	width: 100%;
	background-color: var(--headerBgColor);
	color: var(--headerTextColor);
	transition: all 0.25s;
}

@media(max-width: 1024px) {
	.header {
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.25);
	}
}

.headerContents {
	display: flex;
	align-items: center;
	justify-content: space-between;
	flex-wrap: nowrap;
	width: 90%;
	max-width: 1250px;
	min-height: 5em;
	padding: 0.5em 0;
	margin: 0 auto;
}

@media(max-width: 1024px) {
	.headerContents {
		width: max(calc(95% - 1rem), 90%);
		margin: 0 min(1rem, 5%) 0 5%;
		font-size: 2.5vw;
	}
}

.headerContents_item {
	margin: 0;
}

@media(max-width: 600px) {

	.headerContents_item--center,
	.headerContents_item--right {
		display: none;
	}
}

.header_logo {
	max-width: 100%;
}

.headerLogo {
	font-size: 225%;
	font-weight: var(--fontWeightBold);
	margin: 0;
	transform: scaleY(1.1);
}

.headerLogo_link,
.headerLogo_link:hover {
	font-size: 100%;
	color: inherit;
	text-decoration: none;
}

.headerLogo_image {
	max-width: 100%;
}

.header-pragmatic {
	width: 40vw;
	max-width: 400px;
}

@media(max-width: 600px) {
	.headerLogo {
		padding: 0.5em 0;
	}
}

.headerTexts--alignCenter {
	text-align: center;
}

.headerTexts p {
	margin-bottom: 0.5rem;
}

.headerTexts p:last-of-type {
	margin-bottom: 0;
}

.headerTexts_text--size150 {
	font-size: 150%;
}

.headerImage {
	max-width: 100%;
}

.header_nav {
	color: var(--headerMenuTextColor);
	background-color: var(--headerMenuBgColor);
}

@media(max-width: 1024px) {
	.header_nav {
		display: none;
	}
}

.headerNav {
	display: flex;
	align-items: flex-start;
	justify-content: flex-end;
	flex-wrap: wrap;
	width: 90%;
	max-width: 1250px;
	padding: 0;
	margin: 0 auto;
}

.headerNavItem {
	position: relative;
}

.headerNavItem:before {
	content: "";
	display: block;
	position: absolute;
	top: 50%;
	left: 0;
	height: 2em;
	border-right: 1px solid var(--headerMenuTextColor);
	transform: translateY(-50%);
}

.headerNavItem:last-of-type:after {
	content: "";
	display: block;
	position: absolute;
	top: 50%;
	right: 0;
	height: 2em;
	border-right: 1px solid var(--headerMenuTextColor);
	transform: translateY(-50%);
}

.headerNavItem_link,
.headerNavItem_link:hover {
	display: block;
	color: inherit;
	text-decoration: none;
	transition: background-color 0.25s;
}

.headerNavItem_link:hover {
	text-decoration: none;
	background-color: rgba(255, 255, 255, 0.25);
}

.headerNavItem--active .headerNavItem_link:after {
	content: "";
	display: block;
	position: absolute;
	left: 50%;
	bottom: 0.5em;
	width: 2em;
	border-bottom: 2px solid var(--headerMenuTextColor);
	transform: translateX(-50%);
}

.headerNavItem_text {
	margin: 0;
	padding: 1em 2.5em;
	font-size: 100%;
	font-weight: var(--fontWeightBold);
	text-align: center;
}

/*---------------------------------
	header end
---------------------------------*/

/*---------------------------------
	drawerNav base start
---------------------------------*/

@media(max-width: 1024px) {
	body.is-drawerNavActive {
		overflow-y: hidden;
		/* ナビゲーションアクティブ時スクロール制限 */
	}
}

/*---------------------------------
	drawerNav base end
---------------------------------*/

/*---------------------------------
	drawerNavObject start
---------------------------------*/
@media(min-width: 1025px) {
	.drawerNavObject {
		display: none;
	}
}

/*---------------------------------
	drawerNavObject end
---------------------------------*/

/*---------------------------------
	drawerNavButton start
---------------------------------*/
.drawerNavButton {
	display: flex;
	align-items: center;
	justify-content: center;
	align-self: stretch;
	z-index: 500;
	cursor: pointer;
	font-size: 400%;
}

@media(min-width: 1025px) {
	.drawerNavButton {
		display: none;
	}
}

.drawerNavButton_inner {
	position: relative;
	width: 1em;
	height: 1em;
	color: var(--drawerNavButtonIconColor);
	background-color: var(--drawerNavButtonBgColor);
	border-radius: 50%;
	transition: all 0.25s;
}

.drawerNavButton_inner:before {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 60%;
	line-height: 100%;
}

body:not(.is-drawerNavActive) .drawerNavButton_inner:before {
	content: "";
	width: 0.75em;
	height: 0.5em;
	border-top: 0.1em solid var(--drawerNavButtonIconColor);
	border-bottom: 0.1em solid var(--drawerNavButtonIconColor);
}

body.is-drawerNavActive .drawerNavButton_inner:before {
	content: "×";
	font-size: 70%;
}

/*---------------------------------
	drawerNavButton end
---------------------------------*/

/*---------------------------------
	drawerNavBody start
---------------------------------*/
.drawerNavBody {
	font-size: 1rem;
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background-color: var(--drawerNavBodyBgColor);
	color: var(--drawerNavBodyTextColor);
	visibility: hidden;
	opacity: 0;
	transform: scale(0.9);
	transition: all 0.25s;
	z-index: 450;
}

body.is-drawerNavActive .drawerNavBody {
	visibility: visible;
	opacity: 1;
	transform: scale(1);
}

.drawerNavBody_inner {
	height: 100%;
	padding-top: 6em;
	overflow-y: scroll;
}

.drawerNavBodySection {
	padding: 0 1.5em;
	margin-bottom: 2em;
}

.drawerNavBodySection:last-of-type {
	padding-bottom: 5em;
}

/*---------------------------------
	drawerNavBody end
---------------------------------*/

/*---------------------------------
	drawerNavOverlay start
---------------------------------*/
.drawerNavOverlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.6);
	cursor: pointer;
	visibility: hidden;
	opacity: 0;
	z-index: 425;
	transition: all 0.25s;
}

body.is-drawerNavActive .drawerNavOverlay {
	visibility: visible;
	opacity: 1;
}

/*---------------------------------
	drawerNavOverlay start
---------------------------------*/

/*---------------------------------
	drawerNavPageLinkList start
---------------------------------*/
.drawerNavPageLinkList {
	list-style: none;
	margin: 0;
	padding: 1em 0;
	font-size: 90%;
}

.drawerNavPageLinkListItem {
	border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.drawerNavPageLinkListItem:first-of-type {
	border-top: 1px solid rgba(255, 255, 255, 0.3);
}

.drawerNavPageLinkListItem_link,
.drawerNavPageLinkListItem_link:hover {
	color: inherit;
	text-decoration: none;
}

.drawerNavPageLinkListItem_inner {
	padding: 1em 1em;
	margin: 0;
	font-size: 125%;
	color: var(--drawerNavBodyTextColor);
	text-align: center;
}

.drawerNavPageLinkListItem--active .drawerNavPageLinkListItem_inner {
	background-color: rgba(0, 0, 0, 0.1);
}

/*---------------------------------
	drawerNavPageLinkList end
---------------------------------*/

/*---------------------------------
	drawerNavTexts start
---------------------------------*/
.drawerNavTexts--alignCenter {
	text-align: center;
}

.drawerNavTexts p {
	margin-bottom: 0.5rem;
}

.drawerNavTexts p:last-of-type {
	margin-bottom: 0;
}

.drawerNavTexts_text--size150 {
	font-size: 150%;
}

/*---------------------------------
	drawerNavPageLinkList end
---------------------------------*/

/*---------------------------------
	subpageTitle start
---------------------------------*/
.subpageTitle {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	margin: 0;
	padding: 2.5em 0;
	text-align: center;
	font-weight: var(--fontWeightBold);
	background-image: url("../../images/common/subpageTitle/bg.jpg");
	background-size: cover;
	background-position: top center;
}

.subpageTitle_inner {
	width: 90%;
	max-width: 500px;
	padding: 1em 1em;
	background-color: rgba(255, 255, 255, 0.8);
}

.subpageTitle_mainText {
	font-size: 200%;
	color: #000;
	margin: 0;
}

.subpageTitle_subText {
	font-size: 125%;
	color: #333;
	margin: 0;
}

/*---------------------------------
	subpageTitle end
---------------------------------*/

/*---------------------------------
	footer start
---------------------------------*/
.footer {
	color: var(--footerTextColor);
	font-size: 100%;
	padding: 2em 0;
	background-color: var(--footerBgColor);
}

.footerContents {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	flex-wrap: wrap;
	width: 90%;
	max-width: 1250px;
	margin: 0 auto;
	padding: 1em 0;
}

.footerContents_item {
	margin: 0 1em 1em 0;
}

.footerContents_item--center {
	width: 40em;
	max-width: 100%;
}

.footerLogo_image {
	max-width: 100%;
}

.footerTexts--size150 {
	font-size: 150%;
}

.footerTexts p {
	margin-bottom: 0.5em;
}

.footerTexts p:last-of-type {
	margin-bottom: 0;
}

.footerImage {
	max-width: 100%;
}

.footerCopy {
	width: 90%;
	max-width: 1250px;
	margin: 0 auto;
	padding: 0;
}

.footerCopy_text {
	margin: 0;
}

/*---------------------------------
	footer end
---------------------------------*/

/*---------------------------------
	section start
---------------------------------*/
.section {
	padding: 4em 0 6em;
}

@media(max-width: 600px) {
	.section {
		padding: 3em 0 4em;
	}
}

.section_inner {
	width: 90%;
	margin-right: auto;
	margin-left: auto;
}

.section_inner--mw960 {
	max-width: 960px;
}

.section_inner--mw1200 {
	max-width: 1200px;
}

.section_inner--mw1250 {
	max-width: 1250px;
}

/*---------------------------------
	section end
---------------------------------*/